/***************************************************************************
 *   m3u.h - see m3u.cpp for function description                          *
 *   Copyright (C) 2005-2014 by Helge Kortendieck   alan@kasmithee.de      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _M3U_H_
#define _M3U_H_

#include <QDir>
#include <QFile>
#include <QFileInfo>
#include <QTextStream>

// ******  debug  *****
#include <iostream>
using namespace std;

	int m3uExists();							// check whether ~/.config/qaplay/qaplay.m3u exists and is writable, 0=no, 1=yes/writable, 2=yes/not writable
	int m3uCreate();							// create new, empty ~/.config/qaplay/qaplay.m3u playlist, 0=err, 1=success, 2=...
	QStringList m3uRead(const QString& sD);		// read/import *.m3u playlist
	int m3uWrite(const QStringList& m3uslD);	// save ~/.config/qaplay/qaplay.m3u, 0=err, 1=success

#endif
